from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XComponent

@runtime_checkable
class XTreeDataModel(XComponent, Protocol):
    def getRoot(self) -> XTreeNode: ...
    def addTreeDataModelListener(self, Listener: XTreeDataModelListener) -> None: ...
    def removeTreeDataModelListener(self, Listener: XTreeDataModelListener) -> None: ...
